Package org.codehaus.groovy.ast.stmt

## Class CatchStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.CatchStatement

- All Implemented Interfaces:
    `NodeMetaDataHandler`

      public class CatchStatement
      extends Statement

  Represents a catch (Exception var) { } statement

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CatchStatement​(Parameter variable, Statement code)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Statement` | `getCode()` |
    `ClassNode` | `getExceptionType()` |
    `Parameter` | `getVariable()` |
    `void` | `setCode​(Statement code)` |
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Constructor Detail

    - #### CatchStatement

          public CatchStatement​(Parameter variable,
                                Statement code)

  - ### Method Detail

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getCode

          public Statement getCode()

    - #### getExceptionType

          public ClassNode getExceptionType()

    - #### getVariable

          public Parameter getVariable()

    - #### setCode

          public void setCode​(Statement code)